Page MenuHomePhabricator

[EPIC] Page previews post-deploy cleanup
Closed, ResolvedPublic

Description

Page previews is launched but there is much to clean up as we prepare to embark on future iterations of the tool.

In the aftermath of the launch we are seeing genuine concerns with accessibility and bug reports that we should deal with.

As well as this we have incurred code that we can now get rid of.

Let's make that happen!

What done means

This epic is done when:

  • Actionable bug reports that are high and within the scope of "post-deploy cleanup" are all resolved
  • Accessibility has reached a state we are proud of testing can begin so we can make page previews accessible in a way we can be proud (fixing this will come later).
  • We feel that the codebase has been simplified and we feel comfortable handing this over to Wikimedia Deutschland for them to introduce reference tooltips
  • It is June (i.e. enough time has passed since launch for all bugs to have been bubbled up to us)
  • We are happy that VirtualPageViews is working as expected.
  • @phuedx: See T184793: [EPIC] Instrument page interactions.

Out of scope

  • Feature requests and new functionality

Related Objects

StatusAssignedTask
ResolvedDereckson
ResolvedJdlrobson
Resolvedovasileva
DuplicateNone
OpenNone
Resolvedmforns
Resolvedovasileva
ResolvedABorbaWMF
DeclinedNone
ResolvedJdlrobson
DuplicateNone
DuplicateNone
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
Resolvedphuedx
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
DuplicateNone
Duplicateovasileva
Resolvedovasileva
DuplicateNone
DeclinedNone
DuplicateJdlrobson
ResolvedMhurd
DeclinedJMinor
Resolvedphuedx
ResolvedPchelolo
ResolvedJdlrobson
DeclinedPchelolo
Resolvedphuedx
DeclinedJdlrobson
DuplicateNone
ResolvedFjalapeno
Resolvedphuedx
Declinedpmiazga
DeclinedNone
Resolvedphuedx
DeclinedNone
ResolvedPchelolo
ResolvedbearND
ResolvedMholloway
ResolvedMSantos
ResolvedMholloway
InvalidNone
ResolvedJdlrobson
InvalidNone
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedbearND
ResolvedMholloway
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedbearND
ResolvedJdlrobson
ResolvedMholloway
ResolvedMholloway
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedbearND
Resolved Tbayer
ResolvedNone
Resolvedovasileva
Resolved Tbayer
ResolvedNone
Resolvedmforns
Resolvedphuedx
DeclinedNone
Resolvedovasileva
Resolvedovasileva
ResolvedNiedzielski
DuplicateJdrewniak
ResolvedABorbaWMF
Resolvedovasileva
ResolvedABorbaWMF
Resolvedphuedx
ResolvedVolker_E
OpenNone

Event Timeline

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 20 2018, 12:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)Apr 20 2018, 12:52 AM
Jdlrobson added a project: Epic.
ovasileva triaged this task as High priority.May 2 2018, 1:55 PM
Jdlrobson changed the status of subtask T92457: PageImages not compatible with webm files from Open to Stalled.May 3 2018, 8:09 PM
phuedx awarded a token.Jun 5 2018, 5:05 AM
phuedx added a subscriber: phuedx.
Jdlrobson updated the task description. (Show Details)Jun 18 2018, 5:31 PM

The updated tasks reflect the goals of the epic. All of these are in the current sprint, so hopefully we can close out this epic (and creating a new more scoped one if necessary) by end of the sprint.

phuedx updated the task description. (Show Details)Jul 18 2018, 9:39 AM
phuedx updated the task description. (Show Details)Jul 20 2018, 3:30 PM

@phuedx I'd originally intended this as a short term task (page previews is never going to be completely 100% done) and I'd like to free up the team's focus so it can focus on other things (page issues; MF refactor). In fact I was planning to resolve it as soon as I get confirmation from @Volker_E about a11y and analytics on VirtualPageViews.

I don't see any of the tasks you've added as pressing and all 3 are currently not actionable - needing more input from design or other teams (hence why not originally included as subtasks):

  • T198727: [Bug] Page summary for lead sections without any bold tags returns "standard" and no extract
  • T198708: [Bug] Middle and control clicking popup footer doesn't open new tab
  • T186644: [Bug] Page Previews are not always shown inside the viewable area when space available is constrained

(Side note: I also have a slight suspicion those priorities on those 3 tasks are not correct)

Any objection to removing these from the epic (with @ovasileva blessing) and closing out the work here? It feels like we've reached a good place.

@phuedx I'd originally intended this as a short term task <snip />

There's no such thing 😉

I don't see any of the tasks you've added as pressing and all 3 are currently not actionable - needing more input from design or other teams (hence why not originally included as subtasks):

  • T198727: [Bug] Page summary for lead sections without any bold tags returns "standard" and no extract
  • T198708: [Bug] Middle and control clicking popup footer doesn't open new tab
  • T186644: [Bug] Page Previews are not always shown inside the viewable area when space available is constrained

Those three tasks (and any others that Web resolved prior to my edit) were implied by the AC and my edit only made them visible.

(Side note: I also have a slight suspicion those priorities on those 3 tasks are not correct)

I agree. @ovasileva: When you have time, could you look at those three bugs and see if they really are High? Regardless, perhaps we can remove this task from the board to reflect the current priorities of the team.

Reviewed the tasks. All three are currently normal priority, but I am dropping T186644: [Bug] Page Previews are not always shown inside the viewable area when space available is constrained to low for now. In terms of next steps, I would suggest the following:

Jdlrobson moved this task from Backlog to Next Up on the Page-Previews board.Jul 25 2018, 8:41 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jul 25 2018, 8:43 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jul 30 2018, 12:03 PM

When @Volker_E confirms we are ready to do an a11y review we can resolve this/create new tasks.

ovasileva closed this task as Resolved.Aug 3 2018, 5:16 PM
ovasileva claimed this task.

All tasks are resolved and bullet points in the acceptance criteria are resolved. I think we're ready to resolve this epic. Other tasks related to page previews can be tracked separately using the page previews project tag

phuedx added a comment.Aug 3 2018, 5:17 PM

🎉🎉🎉